# Summarize a set of numeric vectors per row

Source: `R/radiant.R`
`pfun.Rd`

Summarize a set of numeric vectors per row

    pfun(..., fun, na.rm = TRUE)

    psum(..., na.rm = TRUE)

    pmean(..., na.rm = TRUE)

    pmedian(..., na.rm = TRUE)

    psd(..., na.rm = TRUE)

    pvar(..., na.rm = TRUE)

    pcv(..., na.rm = TRUE)

    pp01(..., na.rm = TRUE)

    pp025(..., na.rm = TRUE)

    pp05(..., na.rm = TRUE)

    pp10(..., na.rm = TRUE)

    pp25(..., na.rm = TRUE)

    pp75(..., na.rm = TRUE)

    pp95(..., na.rm = TRUE)

    pp975(..., na.rm = TRUE)

    pp99(..., na.rm = TRUE)

## Arguments

...

  Numeric vectors of the same length

fun

  Function to apply

na.rm

  a logical indicating whether missing values should be removed.

## Value

A vector of 'parallel' summaries of the argument vectors.

## Details

Calculate summary statistics of the input vectors per row (or 'parallel')

## See also

See also `pmin` and `pmax`

## Examples

    pfun(1:10, fun = mean)
    #>  [1]  1  2  3  4  5  6  7  8  9 10
    psum(1:10, 10:1)
    #>  [1] 11 11 11 11 11 11 11 11 11 11